import { geoMercator, geoEqualEarth, geoNaturalEarth1, geoCylindricalStereographic, geoPath, geoGraticule } from 'd3'; 

const projection = geoMercator()
      .scale(1300)
      .center([-102, 24])
const path = geoPath(projection);
 const graticule = geoGraticule();
const missingDataColor = 'blue';
    
export const Marks = ({ atlasMex:{ mexstates, interiors }, atlasMex, colorScale, colorValue, rowByState, tooltipFormat }) => ( 
  <g className="marks">
        <path className="graticules" d={path(graticule())} />
      {mexstates.features.map(feature => {
      const d = rowByState.get(feature.properties.ADMIN_NAME);
      if(!d){
      	console.log('No data for: ',feature.properties.ADMIN_NAME)
      }
          return (
            <>
        <path
          fill={d ? colorScale(colorValue(d)) : missingDataColor}
          d={path(feature)} />
        </>
      );
    })}
      	<path className="interiors" d={path(interiors)} />
  </g>
);
 //  <title>{mexstates.feature.properties.ADMIN_NAME}</title> 

